/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
var pjson = require('@/global.json');
var coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const grantTree = () => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/grant-tree',
    method: 'get',
  })
}

export const grant = (roleIds: any, menuIds: any, dataScopeIds: any, apiScopeIds: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/grant',
    method: 'post',
    data: {
      roleIds,
      menuIds,
      dataScopeIds,
      apiScopeIds
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/submit',
    method: 'post',
    data: row
  })
}


export const getRole = (roleIds: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/menu/role-tree-keys',
    method: 'get',
    params: {
      roleIds,
    }
  })
}

export const getRoleTree = (tenantId?: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/tree',
    method: 'get',
    params: {
      tenantId,
    }
  })
}

export const getRoleTreeById = (roleId: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/role/tree-by-id',
    method: 'get',
    params: {
      roleId,
    }
  })
}
