/* eslint-disable */
import request from '@/utils/request';
const pjson = require('@/global.json');
const coderapi = pjson.coderapi
//项目列表
export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/selcdp/project/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
//项目新增
export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/selcdp/project/save',
    method: 'post',
    data: row
  })
}
//项目更新编辑
export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/selcdp/project/update',
    method: 'post',
    data: row
  })
}