import { createApp } from 'vue';
import App from '@/App.vue';
// 解决在使用element-ui时出现警告
import 'default-passive-events'
// 样式初始化
import 'normalize.css';
// 全局样式
// import '@/assets/css/global.scss';
// import '@/styles/common.scss';
// 引入 ElementUI
import ElementPlus, {ElLoading} from 'element-plus';
import router from '@/router/routes';
import store from '@/config/store';

const app = createApp(App)
app.use(store);
app.use(router);
app.use(ElementPlus);
app.use(ElLoading);
app.mount('#app');
