/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
var pjson = require('@/global.json');
var coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getLazyList = (parentId: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/lazy-list',
    method: 'get',
    params: {
      ...params,
      parentId
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/submit',
    method: 'post',
    data: row
  })
}

export const getDept = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/detail',
    method: 'get',
    params: {
      id,
    }
  })
}

export const getDeptTree = (tenantId: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/tree',
    method: 'get',
    params: {
      tenantId,
    }
  })
}

export const getDeptLazyTree = (parentId: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/dept/lazy-tree',
    method: 'get',
    params: {
      parentId
    }
  })
}

