/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
import { DetailParams } from './data.d';
const pjson = require('@/global.json');
const coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/param/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const remove = (ids: string) => {
  return request({
    url: '/'+coderapi+'/coder-system/param/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/param/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/param/submit',
    method: 'post',
    data: row
  })
}

export async function detail(params?: DetailParams): Promise<any> {
  return request({
    url: '/'+coderapi+'/coder-system/param/detail',
    method: 'get',
    params,
  });
}