/* eslint-disable */
// import request from '@/router/axios';
import request from '@/utils/request';
var pjson = require('@/global.json');
var coderapi = pjson.coderapi

export const getList = (current: any, size: any, params: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getPostList = (tenantId: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/select',
    method: 'get',
    params: {
      tenantId
    }
  })
}

export const getDetail = (id: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/submit',
    method: 'post',
    data: row
  })
}

export const update = (row: any) => {
  return request({
    url: '/'+coderapi+'/coder-system/post/submit',
    method: 'post',
    data: row
  })
}

