import sidebar  from './index.vue'
import { createApp } from 'vue';
import App from './index.vue';
import router from '@/router/routes';
import store from '@/config/store';
const app = createApp(App)
app.use(store);
app.use(router)
const components = [
    sidebar,
]
components.map(component => {
    component.install = (vue: any) => {
        if (!vue) {
            (window as any).Vue = vue = app
        }
        vue.component(component.name, component)
     }
})

export default {
    sidebar
};